;;;; cl-scopes/steps - here comes the real action

(defpackage :scopes/steps
  (:use :common-lisp)
  (:local-nicknames (:config :scopes/config))
  (:export #:config 
           #:message
           #:service #:name #:send))

(in-package :scopes/steps)

(defclass config (config:base) 
  (services))

(defclass message ()
  ((domain)
   (action)
   (class)
   (item)
   (sender)
   (timestamp)
   (data)))

(defclass service () 
  ((name :initarg :name :reader name)))

(defgeneric send (rcvr msg)
  (:method ((rcvr service) msg)
    rcvr
    msg))
